org.keycloak.subsystem.extension

## Class RealmDefinition

- java.lang.Object
- - org.jboss.as.controller.SimpleResourceDefinition
  - - org.keycloak.subsystem.extension.RealmDefinition

- All Implemented Interfaces:
    org.jboss.as.controller.access.management.ConstrainedResourceDefinition, org.jboss.as.controller.ResourceDefinition

      public class RealmDefinition
      extends org.jboss.as.controller.SimpleResourceDefinition

  Defines attributes and operations for the Realm
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2013 Red Hat Inc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static List<org.jboss.as.controller.SimpleAttributeDefinition>` | `ALL_ATTRIBUTES`
    `protected static List<org.jboss.as.controller.SimpleAttributeDefinition>` | `REALM_ONLY_ATTRIBUTES`
    `static String` | `TAG_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmDefinition()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.jboss.as.controller.SimpleAttributeDefinition` | `lookup(String name)`
    `void` | `registerAttributes(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)`
    `void` | `registerOperations(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)`

    - ### Methods inherited from class org.jboss.as.controller.SimpleResourceDefinition

      `getAccessConstraints, getDescriptionProvider, getFlagsSet, getPathElement, getResourceDescriptionResolver, registerAddOperation, registerAddOperation, registerChildren, registerNotifications, registerRemoveOperation, registerRemoveOperation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG_NAME

          public static final String TAG_NAME

      See Also:
        Constant Field Values

    - #### REALM_ONLY_ATTRIBUTES

          protected static final List<org.jboss.as.controller.SimpleAttributeDefinition> REALM_ONLY_ATTRIBUTES

    - #### ALL_ATTRIBUTES

          protected static final List<org.jboss.as.controller.SimpleAttributeDefinition> ALL_ATTRIBUTES

  - ### Constructor Detail

    - #### RealmDefinition

          public RealmDefinition()

  - ### Method Detail

    - #### registerOperations

          public void registerOperations(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)

      Specified by:
        `registerOperations` in interface `org.jboss.as.controller.ResourceDefinition`
      Overrides:
        `registerOperations` in class `org.jboss.as.controller.SimpleResourceDefinition`

    - #### registerAttributes

          public void registerAttributes(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)

      Specified by:
        `registerAttributes` in interface `org.jboss.as.controller.ResourceDefinition`
      Overrides:
        `registerAttributes` in class `org.jboss.as.controller.SimpleResourceDefinition`

    - #### lookup

          public static org.jboss.as.controller.SimpleAttributeDefinition lookup(String name)

Copyright © 2015. All Rights Reserved.